Summary: watch log for pop/imap auth, notify Postfix to allow relay
Name: pop-before-smtp
Version: 1.33
Release: 1.5.3
Source: https://fridge.oven.com/~bet/src/pop-before-smtp-%{PACKAGE_VERSION}.tar.gz
Source3: pop-b4-smtp-gd3.init
Source4: pop-b4-smtp-gd5.conf
Patch1: pop-b4-smtp-gd2.diff
License: Freely Redistributable
Packager: Pete O'Hara <pete@guardiandigital.com> 
Group: Networking/Daemons
BuildArchitectures: noarch
BuildRoot: /var/tmp/pop-before-smtp-rpmroot
Requires: perl-File-Tail, perl-Net-Netmask
%description

Spam prevention requires preventing open relaying through email
servers. However, legit users want to be able to relay. If legit
users always stayed in one spot, they'd be easy to describe to the
daemon. However, what with roving laptops, logins from home, etc.,
legit users refuse to stay in one spot.

pop-before-smtp watches the mail log, looking for successful
pop/imap logins, and posts the originating IP address into a
database which can be checked by Postfix, to allow relaying for
people who have recently downloaded their email.

%prep
%setup
%patch1 -p1

%build
echo I see nothing to build here to build

%install
mkdir -p $RPM_BUILD_ROOT/{etc/{init.d,logrotate.d},usr/{sbin,man/man8}}
## install pop-before-smtp.init $RPM_BUILD_ROOT/etc/init.d/pop-before-smtp
install %{SOURCE3} $RPM_BUILD_ROOT/etc/init.d/pop-before-smtp
install %{SOURCE4} $RPM_BUILD_ROOT/etc/pop-before-smtp.conf
install pop-before-smtp $RPM_BUILD_ROOT/usr/sbin/
pod2man pop-before-smtp >$RPM_BUILD_ROOT/usr/man/man8/pop-before-smtp.8 2>/dev/null


%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del pop-before-smtp
fi

%postun 
if [ -f /var/lock/subsys/pop-before-smtp ]; then
  rm /var/lock/subsys/pop-before-smtp 2>/dev/null
fi
if [ -f /var/run/pop-before-smtp.pid ]; then
  rm /var/run/pop-before-smtp.pid 2>/dev/null
fi

%files
%defattr(-,root,root)
%doc README TODO contrib
%doc /usr/man/man8/pop-before-smtp.8*
%attr(0755,root,root) /usr/sbin/pop-before-smtp
%attr(0755,root,root) /etc/init.d/pop-before-smtp
%attr(0644,root,root) %config(noreplace) /etc/pop-before-smtp.conf

%changelog
* Tue Dec 09 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.33, Release 1.5.3
  - Update pop-before-smtp.conf with patterns for Courier-IMAP.

* Wed Aug 20 2003 Pete O'Hara <pete@guardiandigital.com>
- Version 1.33, Release 1.5.2
- Upgrade to version 1.33, Release 1.5.2

* Tue Mar 11 2003 Pete O'Hara <pete@guardiandigital.com>
- Version 1.31, Release 1.5.1
  - removed chkconfig --add in %post
  - changed chkconfig --del in %preun if not upgrading

* Mon Feb 24 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).
  - Handle compressed man pages.

* Mon Jan 13 2003 Pete O'Hara <pete@guardiandigital.com>
- Version 1.31, Release 1.2.40
  - altered the init script to not log a failed startup
     to syslog when it is successful

* Mon Dec 23 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 1.31, Release 1.2.39
  - applied Ryan's mods to init script

* Mon Oct 28 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 1.31, Release 1.2.38
  - added logging to syslog in config file and 
      removed /etc/log.d/pop-before-smtp

* Thu Oct 17 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 1.31, Release 1.2.36
  - tweaks to conf file

* Thu Oct 17 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 1.31, Release 1.2.35
  - init script fixes
  - GDized conf file

* Wed Oct 16 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 1.31, Release 1.2.34
  - added a GDized init script

* Tue Oct 15 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 1.31, Release 1.2.33
  - added a logrotate script that will work
  - made pop-before-smtpd.conf config noreplace

* Fri Oct 11 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 1.31, Release 1.2.32
  - added some init script changes for EnGarde

* Thu Oct 10 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 1.31, Release 1.2.31
  - added logrotate

* Thu Oct 10 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 1.31, Release 1.2.30
  - this is initial version for EnGarde Mail Suite
  - created patch for pop/imap patterns and a couple
      of other default configs for EnGarde
